MRWParserInternal::State Struct Reference

Internal: the state of a MRWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::vector< Zone > | m_zonesList
| the list of zone More...
std::map< uint32_t, int > | m_fileToZoneMap
| a map fileZoneId -> localZoneId More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
bool | m_firstPageFooter
| a flag to know if we have a first page footer More...
bool | m_hasOddEvenHeaderFooter
| a flag to know if we have odd/even header footer More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MRWParser.

## Constructor & Destructor Documentation

MRWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MRWParserInternal::State::m_actPage

the actual page

std::map<uint32_t,int> MRWParserInternal::State::m_fileToZoneMap

a map fileZoneId -> localZoneId

bool MRWParserInternal::State::m_firstPageFooter

a flag to know if we have a first page footer

int MRWParserInternal::State::m_footerHeight

the footer height if known

bool MRWParserInternal::State::m_hasOddEvenHeaderFooter

a flag to know if we have odd/even header footer

int MRWParserInternal::State::m_headerHeight

the header height if known

int MRWParserInternal::State::m_numPages

the number of page of the final document

std::vector<Zone> MRWParserInternal::State::m_zonesList

the list of zone

The documentation for this struct was generated from the following file:

- MRWParser.cxx